%bcond_without python2
%bcond_without python3

Name:		python-ecdsa
Version:	0.16.1
Release:        1	
Summary:	ECDSA cryptographic signature library
License:	MIT
URL:		https://pypi.python.org/pypi/ecdsa
Source0:	https://pypi.python.org/packages/source/e/ecdsa/ecdsa-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:	openssl

%description
This is an easy-to-use implementation of ECDSA cryptography (Elliptic Curve
Digital Signature Algorithm), implemented purely in Python, released under 
the MIT license. With this library, you can quickly create keypairs (signing
 key and verifying key), sign messages, and verify the signatures. The keys 
and signatures are very short, making them easy to handle and incorporate 
into other protocols.

%if %{with python2}
%package -n python2-ecdsa
Summary:        ECDSA cryptographic signature library
BuildRequires:  python2-devel python2-setuptools python2-six
Requires:       python2-six
%{?python_provide:%python_provide python2-ecdsa}

%description -n python2-ecdsa
This is an easy-to-use implementation of ECDSA cryptography (Elliptic Curve
Digital Signature Algorithm), implemented purely in Python, released under
the MIT license. With this library, you can quickly create keypairs (signing  key and verifying key), sign messages, and verify the signatures. The keys
and signatures are very short, making them easy to handle and incorporate
into other protocols.
%endif

%package -n python3-ecdsa
Summary:        ECDSA cryptographic signature library
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
Requires:       python3-six
%{?python_provide:%python_provide python3-ecdsa}

%description -n python3-ecdsa
This is an easy-to-use implementation of ECDSA cryptography (Elliptic Curve
Digital Signature Algorithm), implemented purely in Python, released under
the MIT license. With this library, you can quickly create keypairs (signing  key and verifying key), sign messages, and verify the signatures. The keys
and signatures are very short, making them easy to handle and incorporate
into other protocols.

%package_help
%prep
%autosetup -n ecdsa-%{version}
rm -rf ecdsa.egg-info
find src/ecdsa -name \*.py | xargs sed -ie '/\/usr\/bin\/env/d'

%build
%if %{with python2}
%_bindir/python2 setup.py build '--executable=%_bindir/python2 -s'
%endif 
%_bindir/python3 setup.py build '--executable=%_bindir/python3 -s'

%install
%if %{with python2}
%_bindir/python2 setup.py install -O1 --skip-build --root %buildroot
%endif
%_bindir/python3 setup.py install -O1 --skip-build --root %buildroot

%check
%if %{with python2}
%_bindir/python2 setup.py test
%endif
%_bindir/python3 setup.py test

%if %{with python2}
%files -n python2-ecdsa
%defattr(-,root,root)
%license LICENSE
%_prefix/lib/python2.7/site-packages/*
%endif

%files -n python3-ecdsa
%defattr(-,root,root)
%license LICENSE
%_prefix/lib/python3.7/site-packages/*

%files help
%defattr(-,root,root)
%doc NEWS README.md

%changelog
* Fri Jan 22 2021 shixuantong<shixuantong@huawei.com> - 0.16.1-1
- upgrade version to 0.16.1

* Tue Feb 11 2020 huzunhao<huzunhao2@huawei.com> - 0.14.1-2
- Package init
